> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Projects



## OpenAPI

````yaml /openapi.json get /api/v1/projects
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/projects:
    get:
      tags:
        - Projects
      summary: List Projects
      operationId: list_projects_api_v1_projects_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectListResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    ProjectListResponse:
      properties:
        projects:
          items:
            $ref: '#/components/schemas/ProjectListItem'
          type: array
          title: Projects
        total:
          type: integer
          title: Total
      type: object
      required:
        - projects
        - total
      title: ProjectListResponse
    ProjectListItem:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        title:
          type: string
          title: Title
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        bundle_template:
          anyOf:
            - type: string
            - type: 'null'
          title: Bundle Template
        status:
          type: string
          title: Status
        mode:
          type: string
          title: Mode
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        task_count:
          type: integer
          title: Task Count
        completed_count:
          type: integer
          title: Completed Count
        total_budget_usd:
          type: number
          title: Total Budget Usd
      type: object
      required:
        - id
        - title
        - status
        - mode
        - created_at
        - updated_at
        - task_count
        - completed_count
        - total_budget_usd
      title: ProjectListItem
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````